This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 378131 - CVE-2007-5116 perl regular expression UTF parsing errors [f7]
CVE-2007-5116 perl regular expression UTF parsing errors [f7]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
7
All Linux
high Severity high
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2007-5116
  Show dependency treegraph
 
Reported: 2007-11-12 11:09 EST by Tomas Hoger
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.8.8-26.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-11-12 11:09:13 EST
This is an automatically created tracking bug!

It was created to ensure that one or more security vulnerabilities are fixed in all affected releases. You should not refer to it anywhere except in the update system as it is a private "Fedora Project Contributors" bug. The update system should close this bug it once the update is pushed.

For comments that are specific to a vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #323571: CVE-2007-5116 perl regular expression UTF parsing errors

When creating an update for the version this this bug is reported against please include the bug IDs of respective bugs filed against "Security Response" product as well as of this bug. Please note that the update announcement will (and should) contain only references to "Security Response" bugs as long as the tracking bug is restricted to "Fedora Project Contributors".

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs
Comment 1 Tom "spot" Callaway 2007-11-12 13:25:04 EST
The patch in 323571 doesn't stop the crashes. Are we sure this is the correct
fixes? None of the cases listed there are actually resolved by that patch.
Comment 2 Tomas Hoger 2007-11-12 13:45:30 EST
Tom, you're right.  Patch attached to bug #323571 was not correct.  Updated RHEL
packages were built with correct patch, which is now attached to #323571:

  https://bugzilla.redhat.com/show_bug.cgi?id=323571#c15

Sorry for the confusion and thanks for spotting the problem.  (Pun with your
nick was not intended ;).
Comment 3 Fedora Update System 2007-11-12 19:09:18 EST
perl-5.8.8-26.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.